
<?php
if (!isset($_REQUEST['action']))
	$action = "afficher" ;
else
	$action = $_REQUEST['action'] ;
switch ($action)
{
    case "afficher" : {
        $lesMarques= getLesMarques();
        require "vues/v_marque.php";
        break;
    }
    case "ajouter" : {
        require "vues/v_marque_ajouter.php";
        break;
    }
    case "validajout" :{
        $libelle=$_POST['libelle'];
        $exec=marqueInsertion($libelle);
        if(!$exec){
            echo '<p style="color:red">La Marque '.$libelle.' n'."'".'a pas été ajouté</p>';
            echo '<a href = "index.php?uc=marque&action=ajouter">Retour</a>';
            
        } 

        else {
            echo '<p style="color:green">La Marque '.$libelle.' a été ajouté</p>';
            echo '<a href = "index.php?uc=marque&action=afficher">Retour</a>';
        }
        break;
    }

    case "modifier" : {
        $lesMarques= getLesMarques();
        require "vues/v_marque.php";
        break;
    }

    case "validmodif" : {
        $id=$_POST['id'];
        $libelle=$_POST['mq_libelle'];
        marqueModification($id,$libelle);
        
        require "vues/v_marque.php";
        break;

    }
    case "supprimer" : {
        $id=$_POST['id'];
        marqueSuppression($id);
        require "vues/v_marque.php";
        break;

    }
    


}
?>

	